---
title: "List goals"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › execution

`GET /v2/execution/cycles/{cycleId}/goals`

## Path parameters

- `cycleId` (`execution-list-goals.path.cycleId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/execution/cycles/<cycleId>/goals'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/execution/cycles/<cycleId>/goals';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/execution/cycles/<cycleId>/goals"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "cycleId": "811bdbf8-a42f-4f8c-b62e-39c77332ffe1",
      "title": "string",
      "outcome": "string",
      "description": "string",
      "successCriteria": "string",
      "ownerUserId": "string",
      "completionDefinition": "string",
      "proofStandard": "string",
      "category": "revenue",
      "goalType": "financial_auto",
      "weight": 0,
      "targetValue": 0,
      "commitmentTargetValue": 0,
      "baselineValue": 0,
      "measurementUnit": "string",
      "expectedEffortMinutes": 1,
      "dependencies": [
        "string"
      ],
      "risks": [
        "string"
      ],
      "qualityWarnings": [
        {
          "code": "activity_based",
          "message": "string",
          "fields": [
            "outcome"
          ]
        }
      ],
      "qualityAssessedAt": "2019-08-24T14:15:22Z",
      "actualValue": 0,
      "completionPct": 0,
      "status": "string",
      "deadlineAt": "2019-08-24T14:15:22Z",
      "committedAt": "2019-08-24T14:15:22Z",
      "commitmentStartAt": "2019-08-24T14:15:22Z",
      "currentVersionNumber": 1,
      "payloadHash": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`execution-list-goals.response.200.data`; array<object>, required)
  - `id` (`execution-list-goals.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`execution-list-goals.response.200.data.entityId`; string, required)
    - format `uuid`
  - `title` (`execution-list-goals.response.200.data.title`; string, required)
  - `outcome` (`execution-list-goals.response.200.data.outcome`; string, required)
  - `ownerUserId` (`execution-list-goals.response.200.data.ownerUserId`; string, required, nullable)
    - minLength 1
  - `completionDefinition` (`execution-list-goals.response.200.data.completionDefinition`; string, required, nullable)
    - minLength 1; maxLength 2000
  - `proofStandard` (`execution-list-goals.response.200.data.proofStandard`; string, required, nullable)
    - minLength 1; maxLength 2000
  - `category` (`execution-list-goals.response.200.data.category`; string, required)
    - one of `"revenue"`, `"product"`, `"hiring"`, `"customers"`, `"partnerships"`, `"custom"`
  - `goalType` (`execution-list-goals.response.200.data.goalType`; string, required)
    - one of `"financial_auto"`, `"manual"`
  - `commitmentTargetValue` (`execution-list-goals.response.200.data.commitmentTargetValue`; number, required, nullable)
  - `baselineValue` (`execution-list-goals.response.200.data.baselineValue`; number, required, nullable)
  - `measurementUnit` (`execution-list-goals.response.200.data.measurementUnit`; string, required, nullable)
    - minLength 1; maxLength 100
  - `expectedEffortMinutes` (`execution-list-goals.response.200.data.expectedEffortMinutes`; integer, required, nullable)
    - min 1; max 10080
  - `dependencies` (`execution-list-goals.response.200.data.dependencies`; array<string>, required, nullable)
    - minLength 1; maxLength 500
  - `risks` (`execution-list-goals.response.200.data.risks`; array<string>, required, nullable)
    - minLength 1; maxLength 500
  - `qualityWarnings` (`execution-list-goals.response.200.data.qualityWarnings`; array<object>, required, nullable)
    - `code` (`execution-list-goals.response.200.data.qualityWarnings.code`; string, required)
      - one of `"activity_based"`, `"not_objectively_closeable"`
    - `message` (`execution-list-goals.response.200.data.qualityWarnings.message`; string, required)
      - minLength 1; maxLength 500
    - `fields` (`execution-list-goals.response.200.data.qualityWarnings.fields`; array<string>, required)
      - one of `"outcome"`, `"completionDefinition"`, `"proofStandard"`
  - `qualityAssessedAt` (`execution-list-goals.response.200.data.qualityAssessedAt`; string, required, nullable)
    - format `date-time`
  - `status` (`execution-list-goals.response.200.data.status`; string, required)
  - `createdAt` (`execution-list-goals.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`execution-list-goals.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `cycleId` (`execution-list-goals.response.200.data.cycleId`; string, optional, nullable)
    - format `uuid`
  - `description` (`execution-list-goals.response.200.data.description`; string, optional, nullable)
  - `successCriteria` (`execution-list-goals.response.200.data.successCriteria`; string, optional, nullable)
  - `weight` (`execution-list-goals.response.200.data.weight`; number, optional, nullable)
  - `targetValue` (`execution-list-goals.response.200.data.targetValue`; number, optional, nullable)
  - `actualValue` (`execution-list-goals.response.200.data.actualValue`; number, optional, nullable)
  - `completionPct` (`execution-list-goals.response.200.data.completionPct`; number, optional, nullable)
  - `deadlineAt` (`execution-list-goals.response.200.data.deadlineAt`; string, optional, nullable)
    - format `date-time`
  - `committedAt` (`execution-list-goals.response.200.data.committedAt`; string, optional, nullable)
    - format `date-time`
  - `commitmentStartAt` (`execution-list-goals.response.200.data.commitmentStartAt`; string, optional, nullable)
    - format `date-time`
  - `currentVersionNumber` (`execution-list-goals.response.200.data.currentVersionNumber`; integer, optional, nullable)
    - min 1
  - `payloadHash` (`execution-list-goals.response.200.data.payloadHash`; string, optional, nullable)
- `meta` (`execution-list-goals.response.200.meta`; object, required)
  - `total` (`execution-list-goals.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`execution-list-goals.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`execution-list-goals.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`execution-list-goals.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`execution-list-goals.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`execution-list-goals.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.400.error`; object, required)
  - `code` (`execution-list-goals.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.401.error`; object, required)
  - `code` (`execution-list-goals.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.403.error`; object, required)
  - `code` (`execution-list-goals.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.404.error`; object, required)
  - `code` (`execution-list-goals.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.409.error`; object, required)
  - `code` (`execution-list-goals.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.422.error`; object, required)
  - `code` (`execution-list-goals.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.429.error`; object, required)
  - `code` (`execution-list-goals.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.500.error`; object, required)
  - `code` (`execution-list-goals.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 502

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.502.error`; object, required)
  - `code` (`execution-list-goals.response.502.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.502.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.502.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.502.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-list-goals.response.503.error`; object, required)
  - `code` (`execution-list-goals.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-list-goals.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`execution-list-goals.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-list-goals.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/execution-list-goals/index.md
